Summary:   Color daemon
Name:      colord
Version:   1.0.9
Release:   %mkrel 2
Group:	   System/Libraries
License:   GPLv2+ and LGPLv2+
URL:       http://www.freedesktop.org/software/colord/
Source0:   http://www.freedesktop.org/software/colord/releases/%{name}-%{version}.tar.xz
BuildRequires: dbus-devel
BuildRequires: docbook-utils
BuildRequires: gettext
BuildRequires: glib2-devel
BuildRequires: intltool
BuildRequires: lcms2-devel 
BuildRequires: %{_lib}gudev1.0-devel
BuildRequires: libusb1-devel
BuildRequires: polkit-devel
BuildRequires: %{_lib}polkit1-devel
BuildRequires: %{_lib}sane1-devel
BuildRequires: %{_lib}gusb-devel
BuildRequires: sqlite-devel
BuildRequires: gobject-introspection-devel
BuildRequires: vala-tools
BuildRequires: bash-completion
Requires: shared-color-profiles
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
colord is a low level system activated daemon that maps color devices
to color profiles in the system context.

%package devel
Summary: Development package for %{name}
Requires: %{name} = %{version}-%{release}
Group:	Development/Libraries

%description devel
Files for development with %{name}.

%prep
%setup -q

%build
# Set ~2 GiB limit so that colprof is forced to work in chunks when
# generating the print profile rather than trying to allocate a 3.1 GiB
# chunk of RAM to put the entire B-to-A tables in.
ulimit -Sv 2000000
%configure2_5x \
	--enable-introspection=yes \
	--enable-sane \
	--enable-vala \
        --disable-print-profiles \
        --disable-static \
        --disable-rpath \
        --disable-examples \
	--disable-silent-rules \
	--disable-systemd-login \
        --with-systemdsystemunitdir=no \
        --disable-dependency-tracking \
	--with-daemon-user=colord

LC_ALL=UTF-8 %make
###make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

# Remove static libs and libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'
find %{buildroot} -name '*.a' -exec rm -f {} ';'

# databases
touch $RPM_BUILD_ROOT%{_localstatedir}/lib/colord/mapping.db
touch $RPM_BUILD_ROOT%{_localstatedir}/lib/colord/storage.db

%find_lang %{name}

%pre
%_pre_useradd %{name} %{_localstatedir}/lib/colord %{_sbindir}/nologin

%post
if [ -f %{_localstatedir}/lib/colord/mapping.db ]; then
        if [ ! $(stat -c %U %{_localstatedir}/lib/colord/mapping.db) == "colord" ];then
                chown colord: %{_localstatedir}/lib/colord/*.db
       	fi
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS NEWS COPYING
%{_libexecdir}/colord
%dir %{_localstatedir}/lib/colord
%{_bindir}/*
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.ColorManager.conf
%{_datadir}/dbus-1/interfaces/org.freedesktop.ColorManager*.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.ColorHelper.xml
%{_datadir}/glib-2.0/schemas/org.freedesktop.ColorHelper.gschema.xml
%{_datadir}/dbus-1/services/org.freedesktop.ColorHelper.service
%{_datadir}/polkit-1/actions/org.freedesktop.color.policy
%{_datadir}/dbus-1/system-services/org.freedesktop.ColorManager.service
%{_datadir}/man/man1/*.1.*
%{_libdir}/libcolord.so.*
%{_libdir}/libcolorhug.so.*
%{_libdir}/libcolordprivate.so.*
%config %{_sysconfdir}/colord.conf
/lib/udev/rules.d/*.rules
%dir %{_datadir}/color/icc/colord
%{_datadir}/color/icc/colord/*.ic?
%{_datadir}/colord/ti1/*.ti1
%{_datadir}/colord/icons/*.svg
%{_datadir}/bash-completion/completions/colormgr
%{_libdir}/colord-sensors
%{_libdir}/colord-plugins
%{_libdir}/colord-sane
%{_libdir}/colord-session
%{_libdir}/girepository-1.0/*.typelib
%ghost %{_localstatedir}/lib/colord/*.db

%files devel
%defattr(-,root,root,-)
%{_includedir}/colord-1
%{_libdir}/libcolord.so
%{_libdir}/libcolordprivate.so
%{_libdir}/libcolorhug.so
%{_libdir}/pkgconfig/colord.pc
%{_libdir}/pkgconfig/colorhug.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala/vapi/*.vapi

%changelog
* Tue Oct 13 2015 bb <bb. 1.0.9-2pclos2015
- rebuild for updates

* Sun Jul 12 2015 bb <bb> 1.0.9-1pclos2015
- update
- there is no service to start here

* Tue Nov 04 2014 bb <bb> 1.0.8-2pclos2014
- fix package

* Thu Oct 30 2014 pinoc <vogtpet at gmail.com> 1.0.8-pclos2014
- 1.0.8

